package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WFStepData;
import com.sa.ibiz.demo.demo.service.dto.WFStepDataSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WFStepData] 服务对象接口
 */
public interface WFStepDataService extends IService<WFStepData>{

	boolean remove(WFStepData et);
	boolean update(WFStepData et);
		WFStepData rollback(WFStepData et);
		WFStepData get(WFStepData et);
	boolean create(WFStepData et);
	boolean getDraft(WFStepData et);
	boolean checkKey(WFStepData et);
    List<WFStepData> listDefault(WFStepDataSearchFilter filter) ;
	Page<WFStepData> searchDefault(WFStepDataSearchFilter filter);
    List<WFStepData> listMyHist(WFStepDataSearchFilter filter) ;
	Page<WFStepData> searchMyHist(WFStepDataSearchFilter filter);
	/**	 实体[WFStepData] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }